Closed Bug 473837 Opened 11 years ago Closed 11 years ago

Firefox trunk (and potentially Firefox 3.1 beta 3) should pick up newer NSS release

Categories

(Core :: Security: PSM, defect)

1.9.1 Branch
x86
Linux
defect
Not set

Tracking

()

RESOLVED FIXED

People

(Reporter: kaie, Assigned: kaie)

References

Details

Attachments

(1 file, 1 obsolete file)

Firefox trunk (and potentially Firefox 3.1 beta 3) should pick up a newer NSS release.

Currently both Firefox 3.1 and Firefox trunk use NSS 3.12.2

We have a new NSS 3.12.3 beta1 snapshot ready that the NSS team would like to be used by Firefox.
Flags: wanted1.9.1?
Attached patch upgrade action (obsolete) — Splinter Review
Name of tag is NSS_3_12_3_BETA1

Instead of a patch, according to https://developer.mozilla.org/en/Updating_NSPR_or_NSS_in_mozilla-central
we need to execute the action listed in this text file, which I ask to be reviewed.
Attachment #357245 - Flags: review?(wtc)
Attachment #357245 - Flags: approval1.9.1?
Attachment #357245 - Flags: review?(wtc) → review+
Comment on attachment 357245 [details] [diff] [review]
upgrade action

r=wtc.
pushed to mozilla-central, marking fixed.
http://hg.mozilla.org/mozilla-central/rev/6c571dc80a99

will try to lobby for firefox 3.1 beta 3
Status: NEW → RESOLVED
Closed: 11 years ago
Resolution: --- → FIXED
this broke the tree, on multiple platforms, backed out, reopening
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
The reason for the tinderbox breakage were missing dependencies in NSS.

Ideally we should fix bug 278132 as soon as possible, but in order to approach a landing sooner, we might want use the workaround proposed in bug 474473.

I also filed bug 474474 to get the PSM cvs-checkout hack removed.
The only problem I've had with this dummy dependency header
hack is that I occasionally forgot to touch it before creating
a release.  Christophe, if you have a checklist for NSS releases,
please add "Change mozilla/security/coreconf/coredeps.h" to your
checklist.
(In reply to comment #6)
> The only problem I've had with this dummy dependency header
> hack is that I occasionally forgot to touch it before creating
> a release.  Christophe, if you have a checklist for NSS releases,
> please add "Change mozilla/security/coreconf/coredeps.h" to your
> checklist.

renamed the file to coreconf.dep
Depends on: 474473
Attachment #357245 - Attachment is obsolete: true
Attachment #357245 - Flags: approval1.9.1?
Attachment #357880 - Flags: review?(wtc)
Comment on attachment 357880 [details] [diff] [review]
upgrade action v2

r=wtc.  This is fine, but I think all you need
to do is the following:

>python client.py update_nss NSS_3_12_3_BETA2
>hg addremove -n
>hg commit -A
Attachment #357880 - Flags: review?(wtc) → review+
http://hg.mozilla.org/mozilla-central/rev/44d8c5d92a44

added to mozilla-central, second attempt
Status: REOPENED → RESOLVED
Closed: 11 years ago11 years ago
Resolution: --- → FIXED
Depends on: 474606
I've filed separate bug 481968 for the mozilla-1.9.1 landing of a newer NSS snapshot.
Flags: wanted1.9.1?
You need to log in before you can comment on or make changes to this bug.